%global momorel 3
%define monoprefix %_prefix/lib
%define dbus_version 0.90
%define dbus_glib_version 0.71

Summary: D-BUS message bus C# bindings for mono
Name: dbus-sharp
Version: 0.70
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/Software/dbus
Source0: %{name}-%{version}.tar.bz2
Patch0: dbus-sharp-0.70-dllmap.patch.bz2
Patch1: dbus-sharp-0.70-gkt-sharp.patch
License: "AFL/GPL"
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9
Requires: dbus-glib
BuildRequires: gtk-sharp-devel
BuildRequires: mono-devel
BuildRequires: mono-tools
BuildRequires: monodoc >= 1.2.3-2m

%description
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package provides the C# bindings for using D-Bus from mono.


%prep
%setup -q 
%patch0 -p1
%patch1 -p1 -b .gtk-sharp

%build
autoreconf -vfi
%configure
%make

%install
rm -rf %{buildroot}
mkdir -p %buildroot`monodoc --get-sourcesdir`

make DESTDIR=%{buildroot} install
# gw wrong on x86_64
%if %_lib != lib
mkdir -p  %buildroot%_prefix/lib/
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
perl -pi -e "s^%_libdir^%_prefix/lib^" %buildroot%_libdir/pkgconfig/dbus-sharp.pc
%endif

#remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post 
%_bindir/monodoc --make-index > /dev/null
%postun 
if [ -x %{_bindir}/monodoc ]; then
%_bindir/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%monoprefix/mono/dbus-sharp/
%monoprefix/mono/gac/dbus-sharp/
%monoprefix/monodoc/sources/dbus-sharp*
%_libdir/pkgconfig/dbus-sharp.pc

%changelog
* Wed May 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.19-3m)
- rebuild against monodoc-1.2.3-2m for moving monodoc dir

* Sat Sep  1 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.70-2m)
- revise %install section for x86_64

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.70-1m)
- import from Mandrva

* Tue Aug  1 2006 Götz Waschk <waschk@mandriva.org> 0.70-2mdv2007.0
- fix dll map

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.70-1mdv2007.0
- Initial package (based on dbus 0.62)
